Browse Source

Remove volume v1 API service client usage

Volume v1 API has been gone since long and Tempest also
marked their deprecation since Juno
- https://review.openstack.org/#/c/446238/

Now Tempest is removing the deprecated config option and
alias for voluem v1 service client in
- https://review.openstack.org/#/c/573135/

Before the Tempest patch gets merged, we need to remove all usage
of volume v1 things.

Change-Id: I2d715a8a63069da5cfe02fbc0992eccb7ba598a7
Needed-By: https://review.openstack.org/#/c/573135/
changes/74/573174/2 0.1.0
ghanshyam 4 years ago
parent
commit
b8bf147bdc
  1. 8
      barbican_tempest_plugin/tests/scenario/barbican_manager.py
  2. 6
      barbican_tempest_plugin/tests/scenario/manager.py

8
barbican_tempest_plugin/tests/scenario/barbican_manager.py

@ -81,12 +81,8 @@ class BarbicanScenarioTest(mgr.ScenarioTest):
)
if CONF.compute_feature_enabled.attach_encrypted_volume:
if CONF.volume_feature_enabled.api_v1:
cls.admin_volume_types_client =\
os_adm.volume_types_client
cls.admin_encryption_types_client =\
os_adm.encryption_types_client
else:
if (CONF.volume_feature_enabled.api_v2 or
CONF.volume_feature_enabled.api_v3):
cls.admin_volume_types_client =\
os_adm.volume_types_v2_client
cls.admin_encryption_types_client =\

6
barbican_tempest_plugin/tests/scenario/manager.py

@ -75,10 +75,8 @@ class ScenarioTest(manager.NetworkScenarioTest):
cls.security_group_rules_client = (
cls.os_primary.security_group_rules_client)
if CONF.volume_feature_enabled.api_v1:
cls.volumes_client = cls.os_primary.volumes_client
cls.snapshots_client = cls.os_primary.snapshots_client
else:
if (CONF.volume_feature_enabled.api_v2 or
CONF.volume_feature_enabled.api_v3):
cls.volumes_client = cls.os_primary.volumes_client_latest
cls.snapshots_client = cls.os_primary.snapshots_client_latest

Loading…
Cancel
Save